On this page
No Headings
Deprecation notice: TheGenerates a QR code for an invoice, by ID. The QR code is a PNG image in Base64-encoded format that corresponds to the invoice ID. You can generate a QR code for an invoice and add it to a paper or PDF invoice. When customers use their mobile devices to scan the QR code, they are redirected to the PayPal mobile payment flow where they can view the invoice and pay online with PayPal or a credit card. Before you get a QR code, you must create an invoice and send an invoice to move the invoice from a draft to payable state. Do not include an email address if you do not want the invoice emailed./v1/invoicesendpoint is deprecated. Use the/v2/invoicesendpoint instead. For details, see PayPal Invoicing Basic Integration.
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicingThe ID of the invoice for which to generate a QR code.
The width, in pixels, of the QR code image. Value is from 150 to 500.
500The height, in pixels, of the QR code image. Value is from 150 to 500.
500application/json
application/json
curl -X GET "https://api-m.paypal.com/v1/invoicing/v1/invoicing/invoices/string/qr-code"{
"image": "string"
}{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}